Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2254491 - Host facts disappear during registration, causing incorrect RHEL lifecycle status of Unknown [NEEDINFO]
Summary: Host facts disappear during registration, causing incorrect RHEL lifecycle st...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.15.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.15.0
Assignee: Partha Aji
QA Contact: visawant
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-12-14 08:18 UTC by Avnish Kumar
Modified: 2024-04-23 17:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-23 17:16:19 UTC
Target Upstream Version:
Embargoed:
zhunting: needinfo-
visawant: needinfo? (paji)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 37107 0 Normal New Host facts disappear during registration, causing incorrect RHEL lifecycle status of Unknown 2024-01-25 23:40:08 UTC
Red Hat Issue Tracker SAT-21900 0 None None None 2023-12-14 08:19:13 UTC
Red Hat Product Errata RHSA-2024:2010 0 None None None 2024-04-23 17:16:20 UTC

Description Avnish Kumar 2023-12-14 08:18:10 UTC
Description of problem:
RHEL lifecycle status shows Unknown for the register hosts

Version-Release number of selected component (if applicable):
Sat 6.15

How reproducible:
Register a host to the Satellite 6.15

Steps to Reproduce:
1. Go to Hosts -> Content Hosts -> Host status
2. Click on Manage all statuses
3. RHEL lifecycle: Unknown

Actual results:
RHEL lifecycle:	 Unknown

Expected results:
RHEL lifecycle: full_support

Additional info:
Output should be either:

full_support
maintenance_support
approaching_end_of_maintenance
extended_support
approaching_end_of_support
support_ended

Comment 7 visawant 2023-12-19 08:35:12 UTC
@avnkumar
Could you please provide screenshot of page where you see status "RHEL lifecycle: Unknown"?
Hosts > Content Hosts > select host > Overview tab > Host Status > Manage host statuses modal box

Comment 17 Leos Stejskal 2024-01-08 17:50:30 UTC
Registration does not support instances without FQDN, aka accessed through IP only.
This is expected behavior, without FQDN SSL certs don't work, and there is no plan to support it in upcoming future.

I'm closing the BZ as NOT A BUG.

Comment 19 Leos Stejskal 2024-01-09 10:47:12 UTC
Is the behavior reproducible when all the commands are with the FQDN? 

Because I don't understand how the registration can work on IP when we use HTTPS with certs tied to FQDN [0].
(please feel free to correct me if I missed something).

Meanwhile, I created https://issues.redhat.com/browse/SAT-22361, this issue with IP vs FQDN happens every single release, we need to make it clear that it is not supported behavior.

[0] https://github.com/theforeman/foreman/blob/develop/app/views/unattended/provisioning_templates/registration/global_registration.erb#L101

Comment 20 Jeremy Lenz 2024-01-09 13:56:52 UTC
Yes, I just reproduced it yesterday and didn't alter the generated command, so it was using fqdn. Reopening for now.

Comment 21 Leos Stejskal 2024-01-17 13:17:28 UTC
It tried to replicate the issue on the latest foreman/katello,
and the "RHEL lifecycle" status is "unknown" for both cases, with FQDN and with IP.

Can you please share an instance where I can reproduce the issue?

Comment 23 Leos Stejskal 2024-01-18 11:56:38 UTC
So, I tried to reproduce the issue on vm207-90.uatlab.pnq2.redhat.com.

When registering the host via Satellite's IP I got this error:
```
The system has been registered with ID: e69faa92-109f-4e8d-a449-b55fc69ff03f
The registered system name is: rhel8.example.com
curl: (51) SSL: no alternative certificate subject name matches target host name '10.74.207.90'
```

So the registration doesn't finish, yet the host is registered to the Satellite and has the "RHEL lifecycle" set to "Full support".

With FQDN, the registration process is finished without errors, but the host's "RHEL lifecycle" is set to "Unknown". I guess that it's related to the updating host during the second phase of the registration process.

So, the issue is there, but it's unrelated to FQDN/IP. From my understanding, it's more related to the Host's status than the registration, but we can keep it here.

Comment 24 Leos Stejskal 2024-01-23 08:26:05 UTC
The problem is in switching the host to the build mode, see the log:
```
2024-01-23T08:20:26 [D|app|37093bc1] Building token starting with ...
2024-01-23T08:20:26 [D|app|37093bc1] Scheduling host status cleanup
2024-01-23T08:20:26 [D|app|37093bc1] Enqueued task 'reset_content_host_status_2' to 'Host::Managed Main' queue
2024-01-23T08:20:26 [D|app|37093bc1] Processing task 'Mark Content Host Statuses as Unknown for rhel8.example.com' from 'Host::Managed Main'
2024-01-23T08:20:26 [I|app|37093bc1] Processed 1 tasks from queue 'Host::Managed Main', completed 1/1
2024-01-23T08:20:26 [D|app|37093bc1] Task 'Mark Content Host Statuses as Unknown for rhel8.example.com' *completed*
2024-01-23T08:20:26 [D|app|37093bc1] custom hook after_build on rhel8.example.com will be executed if defined.
```

Checking the Katello code [0], it looks like expected behavior.

[0] https://github.com/Katello/katello/blob/master/app/models/katello/concerns/host_managed_extensions.rb#L236-L245

Comment 25 Partha Aji 2024-01-24 06:44:39 UTC
This reseting all katello host statuses to unknown when build is set to true came because of this redmine issue => https://projects.theforeman.org/issues/26977 may be https://github.com/Katello/katello/pull/8773#discussion_r441072137 gives more insight. We don't want it to be fully entitled if build is set to true. Need to figure out why build is getting set to true. 

It is definitely not a regression.
In the log below look for "XXX Should reset checks" . You will notice this

2024-01-24T12:06:54 [W|app|0fe746b5] XXX Should reset checks?  =>  new_record: false build: true   changes: true
2024-01-24T12:06:54 [W|app|0fe746b5] YYY  Should reset?  => true

Which resets it to unknown.

2024-01-24T12:06:27 [I|app|1de5c1ff] Started GET "/rhsm/status" for 10.22.16.77 at 2024-01-24 12:06:27 +0530
2024-01-24T12:06:27 [I|app|1de5c1ff] Processing by Katello::Api::Rhsm::CandlepinProxiesController#server_status as JSON
2024-01-24T12:06:27 [I|app|1de5c1ff] Completed 200 OK in 31ms (Views: 0.2ms | ActiveRecord: 1.3ms | Allocations: 4947)
2024-01-24T12:06:29 [I|app|7f8a98c3] Started GET "/rhsm/" for 10.22.16.77 at 2024-01-24 12:06:29 +0530
2024-01-24T12:06:29 [I|app|7f8a98c3] Processing by Katello::Api::V2::RootController#rhsm_resource_list as JSON
2024-01-24T12:06:29 [I|app|7f8a98c3]   Parameters: {"root"=>{}}
2024-01-24T12:06:29 [I|app|7f8a98c3] Completed 200 OK in 10ms (Views: 0.6ms | ActiveRecord: 0.7ms | Allocations: 9899)
2024-01-24T12:06:30 [I|app|b8c9d8fc] Started POST "/rhsm/consumers?owner=RedHat&activation_keys=GEN" for 10.22.16.77 at 2024-01-24 12:06:30 +0530
2024-01-24T12:06:30 [I|app|b8c9d8fc] Processing by Katello::Api::Rhsm::CandlepinProxiesController#consumer_activate as JSON
2024-01-24T12:06:30 [I|app|b8c9d8fc]   Parameters: {"type"=>"system", "name"=>"rhel8.lagrange.example.com", "facts"=>"[FILTERED]", "installedProducts"=>[{"productId"=>"479", "productName"=>"Red Hat Enterprise Linux for x86_64", "version"=>"8.6", "arch"=>"x86_64"}], "contentTags"=>["rhel-8-x86_64", "rhel-8"], "role"=>"", "addOns"=>[], "usage"=>"", "serviceLevel"=>"", "owner"=>"RedHat", "activation_keys"=>"GEN"}

2024-01-24T12:06:30 [W|app|b8c9d8fc] XXX Should reset checks?  =>  new_record: true build: false   changes: false
2024-01-24T12:06:30 [W|app|b8c9d8fc] YYY  Should reset?  => false
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on mac 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on ip 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on type Nic::Managed
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on name rhel8.lagrange.example.com
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on host_id 10
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on subnet_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on domain_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on attrs {}
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on provider 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on username 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on password [redacted]
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on virtual false
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on link true
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on identifier 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on tag 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on attached_to 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on managed true
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on mode balance-rr
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on attached_devices 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on bond_options 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on primary true
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on provision true
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on compute_attributes {}
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on execution true
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on ip6 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Nic::Managed (11) create event on subnet6_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on name rhel8.lagrange.example.com
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on root_pass 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on architecture_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on operatingsystem_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on ptable_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on medium_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on build false
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on comment 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on disk 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on installed_at 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on model_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on hostgroup_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on owner_id 1
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on owner_type User
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on enabled true
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on puppet_ca_proxy_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on managed false
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on use_image 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on image_file 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on uuid 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on compute_resource_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on puppet_proxy_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on certname 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on image_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on organization_id 1
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on location_id 2
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on otp 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on realm_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on compute_profile_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on provision_method 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on grub_pass 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on discovery_rule_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on openscap_proxy_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on pxe_loader 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on initiated_at 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on build_errors 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on creator_id 1
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Host::Base (10) create event on ansible_role_ids []
2024-01-24T12:06:30 [I|app|b8c9d8fc] ForemanWebhooks::EventSubscriber: host_created.event.foreman event received
2024-01-24T12:06:30 [I|app|b8c9d8fc] generating new uuid
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on host_id 10
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on uuid 58809f31-36cc-4dd1-84f8-3c54fcce2e23
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on kickstart_repository_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on content_source_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on installable_security_errata_count 0
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on installable_enhancement_errata_count 0
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on installable_bugfix_errata_count 0
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on applicable_rpm_count 0
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on upgradable_rpm_count 0
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on applicable_module_stream_count 0
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on upgradable_module_stream_count 0
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on applicable_deb_count 0
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) create event on upgradable_deb_count 0
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on host_id 10
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on uuid 58809f31-36cc-4dd1-84f8-3c54fcce2e23
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on service_level 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on release_version 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on autoheal false
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on registered_at 2024-01-18 05:52:15 UTC
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on registered_through 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on user_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on hypervisor false
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on hypervisor_host_id 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on purpose_usage 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on purpose_role 
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on dmi_uuid 4826178F-2843-4555-BCFB-678D62C74FA4
2024-01-24T12:06:30 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) create event on pool_ids []
2024-01-24T12:06:30 [W|app|b8c9d8fc] XXX Should reset checks?  =>  new_record: false build: false   changes: false
2024-01-24T12:06:30 [W|app|b8c9d8fc] YYY  Should reset?  => false


2024-01-24T12:06:32 [I|kat|ba809053] candlepin event handled success=true subject=compliance.created entity_id=58809f31-36cc-4dd1-84f8-3c54fcce2e23 duration=37.81
2024-01-24T12:06:32 [I|kat|ba809053] candlepin event handled success=true subject=system_purpose_compliance.created entity_id=58809f31-36cc-4dd1-84f8-3c54fcce2e23 duration=4.9
2024-01-24T12:06:32 [I|app|b8c9d8fc] Import facts for 'rhel8.lagrange.example.com' completed. Added: 152, Updated: 0, Deleted 0 facts
2024-01-24T12:06:32 [I|aud|b8c9d8fc] Nic::Managed (11) update event on mac , 52:54:00:9e:b2:c2
2024-01-24T12:06:32 [I|aud|b8c9d8fc] Nic::Managed (11) update event on identifier , eth0
2024-01-24T12:06:32 [I|aud|b8c9d8fc] Host::Base (10) update event on architecture_id , 1
2024-01-24T12:06:32 [I|aud|b8c9d8fc] Host::Base (10) update event on operatingsystem_id , 4
2024-01-24T12:06:32 [I|aud|b8c9d8fc] Host::Base (10) update event on model_id , 2
2024-01-24T12:06:32 [I|app|b8c9d8fc] ForemanWebhooks::EventSubscriber: host_facts_updated.event.foreman event received
2024-01-24T12:06:32 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) update event on autoheal false, true
2024-01-24T12:06:32 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) update event on registered_at 2024-01-18 05:52:15 UTC, 2024-01-24 06:36:31 UTC
2024-01-24T12:06:32 [I|app|b8c9d8fc] ForemanWebhooks::EventSubscriber: status_changed.event.foreman event received
2024-01-24T12:06:32 [I|aud|b8c9d8fc] Katello::Host::SubscriptionFacet (10) update event on registered_through , vm207-90.uatlab.pnq2.redhat.com
2024-01-24T12:06:32 [I|aud|b8c9d8fc] Katello::Host::ContentFacet (9) update event on content_source_id , 1
2024-01-24T12:06:33 [I|app|b8c9d8fc] Completed 200 OK in 2785ms (Views: 1.4ms | ActiveRecord: 205.7ms | Allocations: 345703)
2024-01-24T12:06:34 [I|app|1dc83c2f] Started GET "/rhsm/" for 10.22.16.77 at 2024-01-24 12:06:34 +0530
2024-01-24T12:06:34 [I|app|1dc83c2f] Processing by Katello::Api::V2::RootController#rhsm_resource_list as JSON
2024-01-24T12:06:34 [I|app|1dc83c2f]   Parameters: {"root"=>{}}
2024-01-24T12:06:34 [I|app|1dc83c2f] Completed 200 OK in 4ms (Views: 0.6ms | ActiveRecord: 0.9ms | Allocations: 1475)
2024-01-24T12:06:35 [I|app|0c239e0c] Started GET "/rhsm/status" for 10.22.16.77 at 2024-01-24 12:06:35 +0530
2024-01-24T12:06:35 [I|app|0c239e0c] Processing by Katello::Api::Rhsm::CandlepinProxiesController#server_status as JSON
2024-01-24T12:06:35 [I|app|0c239e0c] Completed 200 OK in 33ms (Views: 0.2ms | ActiveRecord: 1.2ms | Allocations: 4531)
2024-01-24T12:06:36 [I|app|dbc7c671] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/certificates/serials" for 10.22.16.77 at 2024-01-24 12:06:36 +0530
2024-01-24T12:06:36 [I|app|dbc7c671] Processing by Katello::Api::Rhsm::CandlepinProxiesController#serials as JSON
2024-01-24T12:06:36 [I|app|dbc7c671]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:37 [I|app|dbc7c671] Completed 200 OK in 1599ms (Views: 0.2ms | ActiveRecord: 2.4ms | Allocations: 5710)
2024-01-24T12:06:38 [I|app|324b0860] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/certificates?serials=7126345600499088477" for 10.22.16.77 at 2024-01-24 12:06:38 +0530
2024-01-24T12:06:38 [I|app|324b0860] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:38 [I|app|324b0860]   Parameters: {"serials"=>"7126345600499088477", "id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:38 [I|app|324b0860] Completed 200 OK in 154ms (Views: 0.1ms | ActiveRecord: 1.1ms | Allocations: 5383)
2024-01-24T12:06:39 [I|app|bf72ffdb] Started GET "/rhsm/status" for 10.22.16.77 at 2024-01-24 12:06:39 +0530
2024-01-24T12:06:39 [I|app|bf72ffdb] Processing by Katello::Api::Rhsm::CandlepinProxiesController#server_status as JSON
2024-01-24T12:06:39 [I|app|bf72ffdb] Completed 200 OK in 24ms (Views: 0.2ms | ActiveRecord: 1.0ms | Allocations: 4521)
2024-01-24T12:06:40 [I|app|0aa8b27f] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/accessible_content" for 10.22.16.77 at 2024-01-24 12:06:40 +0530
2024-01-24T12:06:40 [I|app|0aa8b27f] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:40 [I|app|0aa8b27f]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:40 [I|app|0aa8b27f] Completed 200 OK in 45ms (Views: 0.1ms | ActiveRecord: 1.0ms | Allocations: 4641)
2024-01-24T12:06:41 [I|app|8a27ade8] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/content_overrides" for 10.22.16.77 at 2024-01-24 12:06:41 +0530
2024-01-24T12:06:41 [I|app|8a27ade8] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:41 [I|app|8a27ade8]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:41 [I|app|8a27ade8] Completed 200 OK in 40ms (Views: 0.1ms | ActiveRecord: 0.9ms | Allocations: 4625)
2024-01-24T12:06:42 [I|app|d030e8b1] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/release" for 10.22.16.77 at 2024-01-24 12:06:42 +0530
2024-01-24T12:06:42 [I|app|d030e8b1] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:42 [I|app|d030e8b1]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:42 [I|app|d030e8b1] Completed 200 OK in 36ms (Views: 0.1ms | ActiveRecord: 0.9ms | Allocations: 4638)
2024-01-24T12:06:46 [I|app|2ba1651a] Started PUT "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/profiles" for 10.22.16.77 at 2024-01-24 12:06:46 +0530
2024-01-24T12:06:46 [I|app|2ba1651a] Processing by Katello::Api::Rhsm::CandlepinDynflowProxyController#upload_profiles as JSON
2024-01-24T12:06:46 [I|app|2ba1651a]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:46 [I|app|2ba1651a] Completed 200 OK in 125ms (Views: 1.5ms | ActiveRecord: 32.1ms | Allocations: 41677)
2024-01-24T12:06:47 [I|bac|ba809053] Task {label: , execution_plan_id: 58b347c9-87cb-4a83-b401-04810eb1633e} state changed: pending 
2024-01-24T12:06:47 [I|bac|ba809053] Task {label: Actions::Katello::Applicability::Hosts::BulkGenerate, id: d5870ec2-d5cb-41a6-941e-118f3f5b882b, execution_plan_id: 58b347c9-87cb-4a83-b401-04810eb1633e} state changed: planning 
2024-01-24T12:06:47 [I|bac|ba809053] Task {label: Actions::Katello::Applicability::Hosts::BulkGenerate, id: d5870ec2-d5cb-41a6-941e-118f3f5b882b, execution_plan_id: 58b347c9-87cb-4a83-b401-04810eb1633e} state changed: planned 
2024-01-24T12:06:47 [I|app|ba809053] katello event handled success=true type=generate_host_applicability object_id=0 expired=false rescheduled=false duration=62.75
2024-01-24T12:06:47 [I|bac|ba809053] Task {label: Actions::Katello::Applicability::Hosts::BulkGenerate, id: d5870ec2-d5cb-41a6-941e-118f3f5b882b, execution_plan_id: 58b347c9-87cb-4a83-b401-04810eb1633e} state changed: running 
2024-01-24T12:06:47 [I|app|ba809053] ForemanWebhooks::EventSubscriber: status_changed.event.foreman event received
2024-01-24T12:06:47 [I|bac|ba809053] Task {label: Actions::Katello::Applicability::Hosts::BulkGenerate, id: d5870ec2-d5cb-41a6-941e-118f3f5b882b, execution_plan_id: 58b347c9-87cb-4a83-b401-04810eb1633e} state changed: stopped  result: success
2024-01-24T12:06:47 [I|app|d361ad06] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/compliance" for 10.22.16.77 at 2024-01-24 12:06:47 +0530
2024-01-24T12:06:47 [I|app|d361ad06] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:47 [I|app|d361ad06]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:47 [I|app|d361ad06] Completed 200 OK in 40ms (Views: 0.1ms | ActiveRecord: 0.9ms | Allocations: 4635)
2024-01-24T12:06:48 [I|app|85e103d3] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/compliance" for 10.22.16.77 at 2024-01-24 12:06:48 +0530
2024-01-24T12:06:48 [I|app|85e103d3] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:48 [I|app|85e103d3]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:48 [I|app|85e103d3] Completed 200 OK in 35ms (Views: 0.1ms | ActiveRecord: 0.9ms | Allocations: 4628)
2024-01-24T12:06:49 [I|app|e4c40e49] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/compliance" for 10.22.16.77 at 2024-01-24 12:06:49 +0530
2024-01-24T12:06:49 [I|app|e4c40e49] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:49 [I|app|e4c40e49]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:49 [I|app|e4c40e49] Completed 200 OK in 44ms (Views: 0.1ms | ActiveRecord: 1.7ms | Allocations: 4626)
2024-01-24T12:06:50 [I|app|ed875393] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/compliance" for 10.22.16.77 at 2024-01-24 12:06:50 +0530
2024-01-24T12:06:50 [I|app|ed875393] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:50 [I|app|ed875393]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:50 [I|app|ed875393] Completed 200 OK in 36ms (Views: 0.1ms | ActiveRecord: 1.0ms | Allocations: 4638)
2024-01-24T12:06:51 [I|app|358532d0] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/owner" for 10.22.16.77 at 2024-01-24 12:06:51 +0530
2024-01-24T12:06:51 [I|app|358532d0] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:51 [I|app|358532d0]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:51 [I|app|358532d0] Completed 200 OK in 40ms (Views: 0.1ms | ActiveRecord: 0.9ms | Allocations: 4637)
2024-01-24T12:06:52 [I|app|3ea36a25] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23" for 10.22.16.77 at 2024-01-24 12:06:52 +0530
2024-01-24T12:06:52 [I|app|3ea36a25] Processing by Katello::Api::Rhsm::CandlepinProxiesController#consumer_show as JSON
2024-01-24T12:06:52 [I|app|3ea36a25]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:52 [I|app|3ea36a25] Completed 200 OK in 49ms (Views: 1.4ms | ActiveRecord: 1.5ms | Allocations: 8474)
2024-01-24T12:06:53 [I|app|1c8ee7cf] Started GET "/rhsm/status" for 10.22.16.77 at 2024-01-24 12:06:53 +0530
2024-01-24T12:06:53 [I|app|1c8ee7cf] Processing by Katello::Api::Rhsm::CandlepinProxiesController#server_status as JSON
2024-01-24T12:06:53 [I|app|1c8ee7cf] Completed 200 OK in 29ms (Views: 0.2ms | ActiveRecord: 0.9ms | Allocations: 4545)
2024-01-24T12:06:54 [I|app|0fe746b5] Started POST "/register" for 10.22.16.77 at 2024-01-24 12:06:54 +0530
2024-01-24T12:06:54 [I|app|0fe746b5] Processing by Api::V2::RegistrationController#host as */*
2024-01-24T12:06:54 [I|app|0fe746b5]   Parameters: {"uuid"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23", "host"=>{"build"=>"false", "organization_id"=>"1", "location_id"=>"2"}, "update_packages"=>"false"}
2024-01-24T12:06:54 [I|app|0fe746b5] Authorized user admin(Admin User)
2024-01-24T12:06:54 [W|app|0fe746b5] XXX Should reset checks?  =>  new_record: false build: false   changes: false
2024-01-24T12:06:54 [W|app|0fe746b5] YYY  Should reset?  => false
2024-01-24T12:06:54 [I|aud|0fe746b5] Parameter (14) create event on name host_update_packages
2024-01-24T12:06:54 [I|aud|0fe746b5] Parameter (14) create event on value false
2024-01-24T12:06:54 [I|aud|0fe746b5] Parameter (14) create event on reference_id 10
2024-01-24T12:06:54 [I|aud|0fe746b5] Parameter (14) create event on hidden_value false
2024-01-24T12:06:54 [I|aud|0fe746b5] Parameter (14) create event on key_type boolean
2024-01-24T12:06:54 [I|app|0fe746b5] ForemanWebhooks::EventSubscriber: host_updated.event.foreman event received
2024-01-24T12:06:54 [W|app|0fe746b5] XXX Should reset checks?  =>  new_record: false build: true   changes: true
2024-01-24T12:06:54 [W|app|0fe746b5] YYY  Should reset?  => true
2024-01-24T12:06:54 [I|app|0fe746b5] Processed 1 tasks from queue 'Host::Managed Main', completed 1/1
2024-01-24T12:06:54 [I|aud|0fe746b5] Host::Base (10) update event on build false, true
2024-01-24T12:06:54 [I|aud|0fe746b5] Host::Base (10) update event on initiated_at , 2024-01-24 06:36:54 UTC
2024-01-24T12:06:54 [I|app|0fe746b5] ForemanWebhooks::EventSubscriber: build_entered.event.foreman event received
2024-01-24T12:06:54 [I|app|0fe746b5] ForemanWebhooks::EventSubscriber: host_updated.event.foreman event received
2024-01-24T12:06:54 [W|app|0fe746b5] Could not find a provider for rhel8.lagrange.example.com. Providers returned {"Katello::ManagedContentMediumProvider"=>["Kickstart repository was not set for host 'rhel8.lagrange.example.com'"], "MediumProviders::Default"=>["RedHat 8.6 medium was not set for host 'rhel8.lagrange.example.com'", "Invalid medium '' for 'RedHat 8.6'"]}
2024-01-24T12:06:55 [W|app|0fe746b5] Could not find a provider for rhel8.lagrange.example.com. Providers returned {"Katello::ManagedContentMediumProvider"=>["Kickstart repository was not set for host 'rhel8.lagrange.example.com'"], "MediumProviders::Default"=>["RedHat 8.6 medium was not set for host 'rhel8.lagrange.example.com'", "Invalid medium '' for 'RedHat 8.6'"]}
2024-01-24T12:06:55 [W|app|0fe746b5] Could not find a provider for rhel8.lagrange.example.com. Providers returned {"Katello::ManagedContentMediumProvider"=>["Kickstart repository was not set for host 'rhel8.lagrange.example.com'"], "MediumProviders::Default"=>["RedHat 8.6 medium was not set for host 'rhel8.lagrange.example.com'", "Invalid medium '' for 'RedHat 8.6'"]}
2024-01-24T12:06:55 [I|app|0fe746b5]   Rendered text template (Duration: 0.0ms | Allocations: 2)
2024-01-24T12:06:55 [I|app|0fe746b5] Completed 200 OK in 170ms (Views: 0.8ms | ActiveRecord: 31.4ms | Allocations: 96111)
2024-01-24T12:06:56 [I|app|eb504298] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/certificates/serials" for 10.22.16.77 at 2024-01-24 12:06:56 +0530
2024-01-24T12:06:56 [I|app|eb504298] Processing by Katello::Api::Rhsm::CandlepinProxiesController#serials as JSON
2024-01-24T12:06:56 [I|app|eb504298]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:56 [I|app|eb504298] Completed 200 OK in 52ms (Views: 0.2ms | ActiveRecord: 2.0ms | Allocations: 5680)
2024-01-24T12:06:57 [I|app|55831b45] Started GET "/rhsm/status" for 10.22.16.77 at 2024-01-24 12:06:57 +0530
2024-01-24T12:06:57 [I|app|55831b45] Processing by Katello::Api::Rhsm::CandlepinProxiesController#server_status as JSON
2024-01-24T12:06:57 [I|app|55831b45] Completed 200 OK in 22ms (Views: 0.3ms | ActiveRecord: 0.8ms | Allocations: 4522)
2024-01-24T12:06:58 [I|app|3ad9b117] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/accessible_content" for 10.22.16.77 at 2024-01-24 12:06:58 +0530
2024-01-24T12:06:58 [I|app|3ad9b117] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:58 [I|app|3ad9b117]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:58 [I|app|3ad9b117] Completed 304 Not Modified in 65ms (Views: 0.1ms | ActiveRecord: 0.8ms | Allocations: 4545)
2024-01-24T12:06:59 [I|app|a91ec9a4] Started GET "/rhsm/consumers/58809f31-36cc-4dd1-84f8-3c54fcce2e23/content_overrides" for 10.22.16.77 at 2024-01-24 12:06:59 +0530
2024-01-24T12:06:59 [I|app|a91ec9a4] Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
2024-01-24T12:06:59 [I|app|a91ec9a4]   Parameters: {"id"=>"58809f31-36cc-4dd1-84f8-3c54fcce2e23"}
2024-01-24T12:06:59 [I|app|a91ec9a4] Completed 200 OK in 34ms (Views: 0.1ms | ActiveRecord: 1.0ms | Allocations: 4633)
2024-01-24T12:07:01 [I|app|e609d350] Started POST "/unattended/failed?token=c1eeb3de-e9ef-49a6-b184-70841a516373" for 10.22.16.77 at 2024-01-24 12:07:01 +0530
2024-01-24T12:07:01 [I|app|e609d350] Processing by UnattendedController#failed as TEXT
2024-01-24T12:07:01 [I|app|e609d350]   Parameters: {"Host initial configuration failed, please see the registration log for more details."=>nil, "token"=>"c1eeb3de-e9ef-49a6-b184-70841a516373"}
2024-01-24T12:07:01 [W|app|e609d350] unattended: rhel8.lagrange.example.com build failed!
2024-01-24T12:07:01 [W|app|e609d350] Log lines from the OS installer:
 e609d350 | Host initial configuration failed, please see the registration log for more details.
2024-01-24T12:07:01 [W|app|e609d350] XXX Should reset checks?  =>  new_record: false build: false   changes: true
2024-01-24T12:07:01 [W|app|e609d350] YYY  Should reset?  => false
2024-01-24T12:07:01 [I|app|e609d350] Processed 1 tasks from queue 'Host::Managed Main', completed 1/1
2024-01-24T12:07:01 [I|aud|e609d350] Host::Base (10) update event on build true, false
2024-01-24T12:07:01 [I|aud|e609d350] Host::Base (10) update event on installed_at , 2024-01-24 06:37:01 UTC
2024-01-24T12:07:01 [I|aud|e609d350] Host::Base (10) update event on build_errors , Host initial configuration failed, please see the registration log for more details.
2024-01-24T12:07:01 [I|app|e609d350] ForemanWebhooks::EventSubscriber: status_changed.event.foreman event received
2024-01-24T12:07:01 [I|app|e609d350] ForemanWebhooks::EventSubscriber: build_exited.event.foreman event received
2024-01-24T12:07:01 [I|app|e609d350] Completed 201 Created in 61ms (ActiveRecord: 11.9ms | Allocations: 24656)

Comment 26 Leos Stejskal 2024-01-24 08:46:13 UTC
> Need to figure out why build is getting set to true. 

This is part of the global registration, it's intended behavior so we can keep track of host's registration progress.

Comment 29 Partha Aji 2024-01-25 23:40:06 UTC
Connecting redmine issue https://projects.theforeman.org/issues/37107 from this bug

Comment 30 Bryan Kearney 2024-01-26 16:02:38 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/37107 has been resolved.

Comment 37 errata-xmlrpc 2024-04-23 17:16:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.15.0 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2024:2010


Note You need to log in before you can comment on or make changes to this bug.